<?php

/**
 * The file that defines actions on plugin deactivation.
 *
 * @package OrderProtectionWp
 */

declare(strict_types=1);

namespace OrderProtectionWp;

use OrderProtectionWpVendor\EightshiftLibs\Plugin\HasDeactivationInterface;

/**
 * The plugin deactivation class.
 *
 * @since 1.0.0
 */
class Deactivate implements HasDeactivationInterface
{
	/**
	 * Deactivate the plugin.
	 *
	 * @since 1.0.0
	 */
	public function deactivate(): void
	{
		\flush_rewrite_rules();
	}
}
