<?php

/**
 * Abstract Ajax interface
 *
 * @package OrderProtectionWp\Ajax
 */

declare(strict_types=1);

namespace OrderProtectionWp\Ajax;

interface AjaxInterface
{
	/**
	 * Callback method for Ajax handler.
	 *
	 * @since 1.0.0
	 *
	 * @return void
	 */
	public function getAjaxCallback(): void;
}
