import domReady from '@wordpress/dom-ready';

domReady(() => {
	const inputClass = '.js-orderprotection-fee';
	const input = document.querySelector(inputClass);

	if (!input) {
		return;
	}

	import('./handle-input-change').then(({ HandleInputChange }) => {
		const inputChange = new HandleInputChange({
			input: input,
			inputClass: inputClass,
			labelClass: '.js-orderprotection-label',
			feeSubtotalClass: '.js-fee-subtotal',
			errorElementClass: '.js-orderprotection-error'
		});

		inputChange.init();
	});
});
